<?php


// نام فضای مربوط به تنظیمات تم
namespace Prk\Setup;

class Theme_Settings {



    public static function init() {

        // تعاریف ثابت‌ها
        $theme = wp_get_theme();
        define('THEME_TEXTDOMAIN', 'parskala');
        define('PRK_VERSION', $theme->get('Version'));
        define('parskala_TEMPLATEPATH', get_template_directory());
        define('PARSKALA_CHILD_PATH', get_stylesheet_directory());
        define('parskala_URI', get_template_directory_uri());
        define('THEME_ASSETS_URI', parskala_URI . '/assets/');
        define('parskala_IMG', parskala_URI . '/assets/img/');
        define('THEME_ASSETS_STYLE_URI', THEME_ASSETS_URI . '/css/');
        define('THEME_ASSETS_SCRIPT_URI', THEME_ASSETS_URI . '/js/');
        define('PARSKALA_INC_TEMPLATEPATH', parskala_TEMPLATEPATH . '/inc');
        define('parskala_desc', 'برازنده قدرت ، کیفیت و نوآوری وردپرس ایران');
        define('parskala_desc2', 'برتـرین قالب فروشگاهی ووکامرس');
        define('PRK_SIZEGUIDE_DIR', get_template_directory() . '/app/Modules/SizeGuide');
        define('PRK_SIZEGUIDE_URI', get_template_directory_uri() . '/app/Modules/SizeGuide');
        define('PRK_SIZEGUIDE_ASSETS', get_template_directory_uri() . '/app/Modules/SizeGuide/assets/');

    }

    private static $instance;

    public static function get_instance() {
        if (self::$instance === null) {
            self::$instance = new self();
        }
        return self::$instance;
    }

    private function __construct() {

       $this->init();

    }
    
}